package de.frajul.endlessroll.entities.collision.geometry;

import de.frajul.endlessroll.entities.collision.CollisionDetector;

/**
 * Created by Julian on 28.02.2016.
 */
public interface Geometry {

    boolean isCollisionWithCircle(Circle circle, CollisionDetector collisionDetector);

    boolean isCollisionWithQuad(Quad quad, CollisionDetector collisionDetector);

    boolean isCollisionWithTriangle(Triangle triangle, CollisionDetector collisionDetector);


}
